aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorValery Kartel <valery.kartel@gmail.com>2015-11-30 16:45:51 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2015-11-30 15:36:05 +0000
commit54305e7d9631b3eaa8278b9899bfc8e722a316b0 (patch)
tree7801ae6821f78c1e304f0dbab610851e08092d5c
parent4e607422f2655b3da9497bf6f252b02fa76283d5 (diff)
downloadaports-54305e7d9631b3eaa8278b9899bfc8e722a316b0.tar.gz
aports-54305e7d9631b3eaa8278b9899bfc8e722a316b0.tar.bz2
aports-54305e7d9631b3eaa8278b9899bfc8e722a316b0.tar.xz
main/apache-mod-fcgid: Add apache2 as dependence. Add LoadModule directive to config. Cleanups in APKBUILD and package build.
-rw-r--r--main/apache-mod-fcgid/APKBUILD24
-rw-r--r--main/apache-mod-fcgid/mod_fcgid.conf4
2 files changed, 16 insertions, 12 deletions
diff --git a/main/apache-mod-fcgid/APKBUILD b/main/apache-mod-fcgid/APKBUILD
index d4c388d907..4411b8cd53 100644
--- a/main/apache-mod-fcgid/APKBUILD
+++ b/main/apache-mod-fcgid/APKBUILD
@@ -1,21 +1,22 @@
# Contributor: Kiyoshi Aman <kiyoshi.aman@gmail.com>
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
pkgname=apache-mod-fcgid
+_pkgreal=mod_fcgid
pkgver=2.3.9
-pkgrel=0
+pkgrel=1
pkgdesc="FastCGI module for Apache 2.x"
-url="http://httpd.apache.org/mod_fcgid/"
+url="http://httpd.apache.org/$_pkgreal/"
arch="all"
license="ASL 2.0"
-depends=
+depends="apache2"
makedepends="apache2-dev"
install=""
subpackages="$pkgname-doc"
-source="http://mirror.switch.ch/mirror/apache/dist//httpd/mod_fcgid/mod_fcgid-$pkgver.tar.gz
- mod_fcgid.conf
+source="http://mirror.switch.ch/mirror/apache/dist//httpd/mod_fcgid/$_pkgreal-$pkgver.tar.gz
+ $_pkgreal.conf
"
-_builddir="$srcdir/mod_fcgid-$pkgver"
+_builddir="$srcdir"/$_pkgreal-$pkgver
build() {
cd "$_builddir"
./configure.apxs || return 1
@@ -25,13 +26,14 @@ build() {
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
- mkdir "$pkgdir"/etc/apache2/conf.d/ || return 1
- install -m644 "$srcdir"/mod_fcgid.conf "$pkgdir"/etc/apache2/conf.d/ || return 1
+ install -d "$pkgdir"/var/www/localhost/fcgi-bin || return 1
+ install -Dm644 "$srcdir"/$_pkgreal.conf "$pkgdir"/etc/apache2/conf.d/$_pkgreal.conf
+ rm -fr "$pkgdir"/etc/apache2/original
}
md5sums="ece4c66f0c05d216fc96969fcf3d1add mod_fcgid-2.3.9.tar.gz
-df658a483cf016112d75bbd1d92d7fb0 mod_fcgid.conf"
+3f4288dad895b6fc65af87d0af3d34bd mod_fcgid.conf"
sha256sums="1cbad345e3376b5d7c8f9a62b471edd7fa892695b90b79502f326b4692a679cf mod_fcgid-2.3.9.tar.gz
-df70a611fb6c262b27dfcb46721601395065a876e8f7fa603788af9e60586faf mod_fcgid.conf"
+c6df3eb47fb9e6a81a066a83ae8c11a8a796dc6e83b23eb47c7903d406bade22 mod_fcgid.conf"
sha512sums="cae8bf8ad324512a51e6f34cb32468ea49a17deaabd481f8b581444891656f2516f10d198630f92ebc18db3d575f61dd7254153938a8206fb6c1441c7850be63 mod_fcgid-2.3.9.tar.gz
-13c6ab98bac1733f0e303c30b30ea3b4ecc54d0680c7b936099642143f37a3200237bce3a4f7ff55061af278dd20ba59b695056a7b98057fa1568f74799c8538 mod_fcgid.conf"
+e5d7d81905f7cd73b5dbd3baa39c1d84e3c96e3fc3fda41fc52ada1a4353ca5186e53f56d782273d86a858cc9215c72321f34d92643ac176d4232df638a05812 mod_fcgid.conf"
diff --git a/main/apache-mod-fcgid/mod_fcgid.conf b/main/apache-mod-fcgid/mod_fcgid.conf
index 01529b0683..294674329a 100644
--- a/main/apache-mod-fcgid/mod_fcgid.conf
+++ b/main/apache-mod-fcgid/mod_fcgid.conf
@@ -1,5 +1,7 @@
+LoadModule fcgid_module modules/mod_fcgid.so
+
<IfModule mod_fcgid.c>
- Alias /fcgi-bin/ "/usr/lib/fcgi-bin/"
+ Alias /fcgi-bin/ "/var/www/localhost/fcgi-bin/"
<Location /fcgi-bin>
SetHandler fcgid-script
Options +ExecCGI